Bug 829746 - [ipa webui] IE - Add members dialog box cannot be resized
[ipa webui] IE - Add members dialog box cannot be resized
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa (Show other bugs)
6.3
Unspecified Unspecified
medium Severity unspecified
: rc
: ---
Assigned To: Rob Crittenden
Namita Soman
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-07 09:29 EDT by Namita Soman
Modified: 2013-02-21 04:15 EST (History)
5 users (show)

See Also:
Fixed In Version: ipa-3.0.0-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 04:15:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
add sudo cmd to a sudo cmd grp (142.85 KB, image/png)
2012-06-07 09:34 EDT, Namita Soman
no flags Details
clear display dialog box (120.81 KB, image/png)
2013-01-21 08:13 EST, Varun Mylaraiah
no flags Details

  None (edit)
Description Namita Soman 2012-06-07 09:29:51 EDT
Description of problem:
Bring up the window to Add a member  - say user to usergroup, and the edge is displayed as if - you can resize it. But dragging on it, doesn't change anything. It will resize on firefox on rhel.

Also - when adding a Sudo Comman to a Sudo Command group, the first group is overlayed on the column title as indicated in attachment

Version-Release number of selected component (if applicable):
ipa-server-2.2.0-16.el6.x86_64

How reproducible:
always

Steps to Reproduce:
1. Add a sudo command to a sudo command group
2. Resize the window
  
Actual results:
the first group is displayed on top of the column name - Sudo Command group
cannot resize

Expected results:
Cleaner display
Be able to resize

Additional info:
Comment 1 Namita Soman 2012-06-07 09:34:34 EDT
Created attachment 590205 [details]
add sudo cmd to a sudo cmd grp
Comment 3 Martin Kosek 2012-06-07 10:16:33 EDT
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/2817
Comment 4 Petr Vobornik 2012-08-02 05:04:39 EDT
Fixed in upstream:

It required update of jquery ui. The update breaked some parts so additional fixes were required. 

Master:

    c2783b9b54ecae8299da0dc593c3813c2bd26fe2 Replace use of attr with prop for booleans
    1a94109f4ad5bcb304c4c23af868c3cf07ce92ec Fixed incorrect use of jQuery.attr for setting disabled attribute
    8ce157910a86dc8abf16b4846cabe61052a6754d Web UI tests fix
    17a6b3f29d20c46a279bc189d5d565a680354f63 Unified buttons
    1c79e283b1a926e1e22d45f7a89785ef05dda0de Removal of unnecessary overrides of jquery-ui styles
    f805001242828380d3f71922b38882f48876b844 Fix for incorrect event handler definition
    2a7e5571129c76114d8c429f58c9914d8c316d43 Update to jquery-ui-1.8.21.custom
    c0dd19da4bb0237f5a7de3f431022bad417abe8e Update to jquery.1.7.2.min
Comment 8 Varun Mylaraiah 2013-01-21 07:09:14 EST
Verified using ipa-server-3.0.0-22.el6.x86_64

1. Add a sudo command to a sudo command group
2. Resize the window
Result : Cleaner display and window is resizable
Comment 9 Varun Mylaraiah 2013-01-21 08:13:58 EST
Created attachment 684278 [details]
clear display dialog box
Comment 11 errata-xmlrpc 2013-02-21 04:15:12 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0528.html

Note You need to log in before you can comment on or make changes to this bug.